import type { _NSObject } from "../Foundation/NSObject.js";
import type { CGRect } from "../structs/CGRect.js";
export declare class _SKOverlayTransitionContext extends _NSObject {
    static alloc(): _SKOverlayTransitionContext;
    static new(): _SKOverlayTransitionContext;
    init(): _SKOverlayTransitionContext;
    /**
     * Adds an animation that will be synchronized with an overlay's presentation/dismissal.
     */
    addAnimationBlock$(block: () => void): void;
    startFrame(): CGRect;
    endFrame(): CGRect;
}
